Subject: bug#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: grischka <[email-masked]>
Date: Sun, 30 Nov 2008 18:40:15 +0100

martin rudalics wrote:

>  >> I have never looked into that code.  IIUC one problem is flickering 
> when
>  >> a frame gets redrawn too often.  Moreover, it's not always safe to
>  >> redraw frames.
>  >
>  > Redraw? Isn't this about resize rather than redraw?
> 
> You can, in one command, issue a number of resize requests.  I doubt we
> want each of them cause a redisplay/redraw before the command completes.

But who said anything about redisplay/redraw?  What it needs to
wait for is the notification from the window system or toolkit
that the resize request was carried out.

Otherwise emacs runs into situations where the state of it's
internal variables w.r.t. frame size/position is not consistent
with the state of the GUI, and in consequence the inconsistent
GUI state works back on these variables.  (by means of the logic
meant for mouse sizing/dragging)

I guess that is the basic problem. There may be additional aspects
like toolkit differences or race conditions.